const fs = require('fs')
const path = require('path')

module.exports = {
  pages: {
    index: { entry: 'examples/main.js' }
  },
  productionSourceMap: false,
  css: {
    extract: false
  },
  configureWebpack: {
    externals: {
      vue: 'Vue',
      'element-ui': 'ElementUI'
    },
    output: {
      libraryExport: 'default'
    }
  },
  devServer: {
    host: 'dev.ezijing.com',
    https: {
      key: fs.readFileSync(path.join(__dirname, './cert/dev.ezijing.com.key')),
      cert: fs.readFileSync(path.join(__dirname, './cert/dev.ezijing.com.pem'))
    },
    proxy: {
      '/v1': {
        target: 'https://test-microservices-message-service-api.ezijing.com'
      }
    }
  }
}
